
D4Science Infrastructure - Task #8982

Enable Service Endpoint in the (preproduction) preECO VRE

Jun 19, 2017 07:52 PM - Denis Pyriochos

Status: Closed Start date: Jun 19, 2017

Priority: High Due date:  

Assignee: Kostas Kakaletris % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: preECO VRE   

Infrastructure: Pre-Production   

Description

preECO VRE needs a service endpoint named SimulFishGrowthData, pointing to the RESTful servlet (see #5393)

History

#1 - Jun 20, 2017 12:32 PM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Roberto Cirillo

Roberto, it seems the endpoint we added yesterday for the db is not e enough https://support.d4science.org/issues/5393

#2 - Jun 21, 2017 10:18 AM - Roberto Cirillo

- Category set to System Application

- Status changed from New to In Progress

#3 - Jun 21, 2017 10:19 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

I had already added the serviceEndpoint named SimulFishGrowth also present in the preVRE VRE.

This is the only serviceEndpoint for SimulFish present in preproduction environment.

If you need another ServiceEndpoint, you should specify more details in order to  understand what you need and how I have to fill the new resource.

The service Endpoint that I've added is the following:

<Profile>

      <Category>Database</Category>

      <Name>SimulFishGrowth</Name>

      <Description>Data supporting what-if analyses regarding fish growth</Description>

      <Platform>

         <Name>PostgreSQL</Name>

         <Version>9</Version>

         <MinorVersion>4</MinorVersion>

         <RevisionVersion>0</RevisionVersion>

         <BuildVersion>0</BuildVersion>

      </Platform>

      <RunTime>

         <HostedOn>db-sfg-pre.d4science.org</HostedOn>

         <GHN UniqueID="" />

         <Status>READY</Status>

      </RunTime>

      <AccessPoint>

         <Description>Database supporting what-if analyses regarding fish growth</Description>

         <Interface>

            <Endpoint EntryName="SimulFishGrowth_pre">db-sfg-pre.d4science.org:5432</Endpoint>

         </Interface>

         <AccessData>

            <Username>sfguser</Username>

            <Password>qdg7ap2ePyTai0WhP+dL7A==</Password>

         </AccessData>

      </AccessPoint>

   </Profile>

 Is it right or you need another one?

#4 - Jun 21, 2017 10:20 AM - Roberto Cirillo
- Assignee changed from Roberto Cirillo to Denis Pyriochos

#5 - Jun 21, 2017 12:12 PM - Denis Pyriochos

This resource is available to preVRE and Dorne. Please make it available to preECO, as well. There is no need to change anything else as

@k.kakaletris@cite.gr will take it from there :)

<Resource version="0.4.x">

   <ID>53cdcc71-cbde-4871-9448-f7a04357dda8</ID>

   <Type>RunningInstance</Type>

   <Scopes>

      <Scope>/gcube/preprod/Dorne</Scope>

      <Scope>/gcube/preprod/preVRE</Scope>

   </Scopes>

   <Profile>

      <Description>Access Simulation Fish Growth Data using a RESTfull Json API</Description>

      <Version>0.0.2-SNAPSHOT</Version>

      <GHN UniqueID="0ac4f93b-68a8-4726-8b99-0bbd560a8c13" />

      <Service UniqueID="SimulFishGrowthDataSearch0.0.2-SNAPSHOT" />

      <ServiceName>SimulFishGrowthData</ServiceName>

      <ServiceClass>Search</ServiceClass>

      <DeploymentData>

         <ActivationTime value="2017-05-29T11:08:42+02:00" />

         <Status>ready</Status>

      </DeploymentData>

      <AccessPoint>

         <RunningInstanceInterfaces>

            <Endpoint EntryName="API REST Service">http://dl20.di.uoa.gr:8080/simul-fish-growth-data/api</Endp

oint>

            <Endpoint EntryName="SimulFishGrowthData-remote-management">http://dl20.di.uoa.gr:8080/simul-fish-

growth-data/gcube/resource</Endpoint>

            <Endpoint EntryName="StartupServicesServlet">http://dl20.di.uoa.gr:8080/simul-fish-growth-data/Sta

rtupServicesServlet</Endpoint>

         </RunningInstanceInterfaces>

      </AccessPoint>

   </Profile>

</Resource> 

#6 - Jun 21, 2017 12:22 PM - Denis Pyriochos

- Status changed from Feedback to In Progress

- Assignee changed from Denis Pyriochos to Roberto Cirillo

#7 - Jun 21, 2017 02:00 PM - Kostas Kakaletris

@roberto.cirillo@isti.cnr.it can  you please give me access to token generator on preECO vre in order to be able to move the resources there?

Kind Regards,

Kostas

#8 - Jun 21, 2017 02:06 PM - Massimiliano Assante

here Kostas: https://pre.d4science.org/group/preeco/node-token-generator

#9 - Jun 21, 2017 03:11 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Kostas Kakaletris

Denis Pyriochos wrote:

This resource is available to preVRE and Dorne. Please make it available to preECO, as well. There is no need to change anything else as

@k.kakaletris@cite.gr will take it from there :)

<Resource version="0.4.x">

   <ID>53cdcc71-cbde-4871-9448-f7a04357dda8</ID>

   <Type>RunningInstance</Type>

   <Scopes>

      <Scope>/gcube/preprod/Dorne</Scope>

      <Scope>/gcube/preprod/preVRE</Scope>

   </Scopes>

   <Profile>
      <Description>Access Simulation Fish Growth Data using a RESTfull Json API</Description>

      <Version>0.0.2-SNAPSHOT</Version>

      <GHN UniqueID="0ac4f93b-68a8-4726-8b99-0bbd560a8c13" />

      <Service UniqueID="SimulFishGrowthDataSearch0.0.2-SNAPSHOT" />

      <ServiceName>SimulFishGrowthData</ServiceName>

      <ServiceClass>Search</ServiceClass>

      <DeploymentData>

         <ActivationTime value="2017-05-29T11:08:42+02:00" />

         <Status>ready</Status>

      </DeploymentData>

      <AccessPoint>

         <RunningInstanceInterfaces>

            <Endpoint EntryName="API REST Service">http://dl20.di.uoa.gr:8080/simul-fish-growth-data/api</

Endpoint>

            <Endpoint EntryName="SimulFishGrowthData-remote-management">http://dl20.di.uoa.gr:8080/simul-f

ish-growth-data/gcube/resource</Endpoint>

            <Endpoint EntryName="StartupServicesServlet">http://dl20.di.uoa.gr:8080/simul-fish-growth-data

/StartupServicesServlet</Endpoint>

         </RunningInstanceInterfaces>

      </AccessPoint>

   </Profile>

</Resource>

 

This is a Running Instance resource. This kind of resource is automatically added to preECO VRE if your service is running in preEco VRE. So we

need to run the service to preECO VRE @k.kakaletris@cite.gr, could you  add the preECO VO scope to the service, please?

#10 - Jun 21, 2017 04:40 PM - Kostas Kakaletris

- % Done changed from 0 to 100

@denispyr@i2s.gr I do not think that the current preproduction resource (dl20) should be added to that new preproduction VRE. If I'm not mistaken

this VRE was created for testing/development of a community app, because it was affected by the parallel development of enabling components.

In my understanding preVRE is the same as the production or at last releases that are to go to production and not for development.

Because of the above I preferred to change the current development resources of simulefish and technoeconomics (dl015.amadgik.di.uoa.gr) to the

new pre-production VRE. This VM is the one that was on development and can be accessed by the developers that had access to it as before (in

contrary, to the preVRE resources the access is granted per incident) 

The services are up and running on the preprod/preECO vre. Please verify that it is OK and close the ticket.

@roberto.cirillo@isti.cnr.it , by the way, would it be OK if the same resource was belonging to both development and preproduction VREs(e.g.

smartgear tokens for preprod/preECO, devsec/devVRE)

Kind Regards,

Kostas

#11 - Jun 22, 2017 10:34 AM - Roberto Cirillo

Kostas Kakaletris wrote:

@roberto.cirillo@isti.cnr.it , by the way, would it be OK if the same resource was belonging to both development and preproduction

VREs(e.g. smartgear tokens for preprod/preECO, devsec/devVRE)

 Yes it is possible. This is possible because the development VO (devsec) and the preprod VO (preprod) are under the same root-VO (gcube): 

/gcube/devsec/devVRE

/gcube/preprod/preECO

#12 - Jun 22, 2017 11:13 AM - Kostas Kakaletris

Nice. That I thought too. So maybe is good in such cases the services to be added both in preproduction and development VREs so that can be

tested with stable and unstable enabling components too.

#13 - Jun 22, 2017 11:16 AM - Denis Pyriochos

- Status changed from Feedback to Closed
